/*global gantt*/
import React, { Component } from 'react';
import 'dhtmlx-gantt';
import 'dhtmlx-gantt/codebase/dhtmlxgantt.css';

export default class Gantt extends Component {
  componentDidMount() {

    gantt.plugins({
      quick_info: true
    });

    gantt.config.quickinfo_buttons = ["icon_delete", "add_above_btn"];
    gantt.locale.labels["add_above_btn"] = "Add above";

    gantt.$click.buttons.add_above_btn = function (id) {
      let task = gantt.getTask(id);
      let index = gantt.getTaskIndex(task.id);
      gantt.createTask(null, task.parent, index);
      return true;
    };

    gantt.config.lightbox.sections = [
      { name: "description", height: 38, map_to: "text", type: "textarea", focus: true },
      { name: "type", height: 22, map_to: "type", type: "typeselect" },
      { name: "time", height: 72, type: "duration", map_to: "auto" }
    ];

    gantt.init(this.ganttContainer);
    gantt.parse(this.props.tasks);
  }

  render() {
    return (
      <div
        ref={(input) => { this.ganttContainer = input }}
        style={{ width: '100%', height: '100%' }}
      ></div>
    );
  }
}